SymmPackEVD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix
Class SymmPackEVD

    java.lang.Object
      no.uib.cipr.matrix.SymmPackEVD

    public class SymmPackEVD

extends java.lang.Object

Computes eigenvalues of symmetrical, packed matrices

Constructor Summary
`SymmPackEVD(int n, boolean upper)` Sets up an eigenvalue decomposition for symmetrical, packed matrices.
`SymmPackEVD(int n, boolean upper, boolean vectors)` Sets up an eigenvalue decomposition for symmetrical, packed matrices

Method Summary
`SymmPackEVD` | `factor(LowerSymmPackMatrix A)` Computes the eigenvalue decomposition of the given matrix
`SymmPackEVD` | `factor(UpperSymmPackMatrix A)` Computes the eigenvalue decomposition of the given matrix
`static SymmPackEVD` | `factorize(Matrix A)` Convenience method for computing the full eigenvalue decomposition of the given matrix
`double[]` | `getEigenvalues()` Gets the eigenvalues (stored in ascending order)
`DenseMatrix` | `getEigenvectors()` Gets the eigenvectors, if available
`boolean` | `hasEigenvectors()` True if the eigenvectors have been computed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymmPackEVD

    public SymmPackEVD(int n,
                       boolean upper)

  Sets up an eigenvalue decomposition for symmetrical, packed matrices. Computes all eigenvalues and eigenvectors

  Parameters:
    `n` - Size of the matrix
    `upper` - True if the upper part of the matrix is stored, and false if the lower part of the matrix is stored instead

### SymmPackEVD

    public SymmPackEVD(int n,
                       boolean upper,
                       boolean vectors)

  Sets up an eigenvalue decomposition for symmetrical, packed matrices

  Parameters:
    `n` - Size of the matrix
    `upper` - True if the upper part of the matrix is stored, and false if the lower part of the matrix is stored instead
    `vectors` - True to compute the eigenvectors, false for just the eigenvalues

Method Detail

### factorize

    public static SymmPackEVD factorize(Matrix A)
                                 throws NotConvergedException

  Convenience method for computing the full eigenvalue decomposition of the given matrix

  Parameters:
    `A` - Matrix to factorize. Upper part extracted, and the matrix is not modified
  Returns:
    Newly allocated decomposition
  Throws:
    `NotConvergedException`

### factor

    public SymmPackEVD factor(LowerSymmPackMatrix A)
                       throws NotConvergedException

  Computes the eigenvalue decomposition of the given matrix

  Parameters:
    `A` - Matrix to factorize. Overwritten on return
  Returns:
    The current eigenvalue decomposition
  Throws:
    `NotConvergedException`

### factor

    public SymmPackEVD factor(UpperSymmPackMatrix A)
                       throws NotConvergedException

  Computes the eigenvalue decomposition of the given matrix

  Parameters:
    `A` - Matrix to factorize. Overwritten on return
  Returns:
    The current eigenvalue decomposition
  Throws:
    `NotConvergedException`

### getEigenvalues

    public double[] getEigenvalues()

  Gets the eigenvalues (stored in ascending order)

### getEigenvectors

    public DenseMatrix getEigenvectors()

  Gets the eigenvectors, if available

### hasEigenvectors

    public boolean hasEigenvectors()

  True if the eigenvectors have been computed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD